wave.filter {waveslim} | R Documentation

## Select a Wavelet Filter

### Description

Converts name of wavelet filter to filter coefficients.

### Usage

    wave.filter(name)

### Arguments

`name` | Character string of wavelet filter.

### Details

Simple `switch` statement selects the appropriate filter.

### Value

List containing the following items:

`L` | Length of the wavelet filter.
`hpf` | High-pass filter coefficients.
`lpf` | Low-pass filter coefficients.

### Author(s)

B. Whitcher

### References

Daubechies, I. (1992) Ten Lectures on Wavelets, CBMS-NSF Regional Conference Series in Applied Mathematics, SIAM: Philadelphia.

Doroslovacki (1998) On the least asymmetric wavelets, IEEE Transactions for Signal Processing, 46, No. 4, 1125-1130.

Morris and Peravali (1999) Minimum-bandwidth discrete-time wavelets, Signal Processing, 76, No. 2, 181-193.

Nielsen, M. (2000) On the Construction and Frequency Localization of Orthogonal Quadrature Filters, Journal of Approximation Theory, 108, No. 1, 36-52.

### See Also

`wavelet.filter`, `squared.gain`.

[Package waveslim version 1.7.5.1 Index]